org.openstreetmap.josm.plugins.streetside.cubemap

## Enum CubemapUtils.CubemapFaces

- java.lang.Object
- - java.lang.Enum<CubemapUtils.CubemapFaces>
  - - org.openstreetmap.josm.plugins.streetside.cubemap.CubemapUtils.CubemapFaces

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CubemapUtils.CubemapFaces>
  Enclosing class:
    CubemapUtils

      public static enum CubemapUtils.CubemapFaces
      extends java.lang.Enum<CubemapUtils.CubemapFaces>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK`
    `DOWN`
    `FRONT`
    `LEFT`
    `RIGHT`
    `UP`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static java.util.stream.Stream<CubemapUtils.CubemapFaces>` | `stream()`
    `static CubemapUtils.CubemapFaces` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CubemapUtils.CubemapFaces[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT

          public static final CubemapUtils.CubemapFaces FRONT

    - #### RIGHT

          public static final CubemapUtils.CubemapFaces RIGHT

    - #### BACK

          public static final CubemapUtils.CubemapFaces BACK

    - #### LEFT

          public static final CubemapUtils.CubemapFaces LEFT

    - #### UP

          public static final CubemapUtils.CubemapFaces UP

    - #### DOWN

          public static final CubemapUtils.CubemapFaces DOWN

  - ### Field Detail

    - #### value

          private final java.lang.String value

  - ### Method Detail

    - #### values

          public static CubemapUtils.CubemapFaces[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CubemapUtils.CubemapFaces c : CubemapUtils.CubemapFaces.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CubemapUtils.CubemapFaces valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### stream

          public static java.util.stream.Stream<CubemapUtils.CubemapFaces> stream()

    - #### getValue

          public java.lang.String getValue()

JOSM Plugins